Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser.nodes.mdx
Enum EMdxDataType

    java.lang.Object
      java.lang.Enum<EMdxDataType>
          gudusoft.gsqlparser.nodes.mdx.EMdxDataType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EMdxDataType>

    public enum EMdxDataType

extends java.lang.Enum<EMdxDataType>

Enum Constant Summary
`Flag`
`Hierarchy`
`Level`
`Member`
`Missing`
`Number`
`Set`
`String`
`Tuple`
`Unknown`

Method Summary
`static EMdxDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EMdxDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unknown

    public static final EMdxDataType Unknown

### Number

    public static final EMdxDataType Number

### String

    public static final EMdxDataType String

### Member

    public static final EMdxDataType Member

### Tuple

    public static final EMdxDataType Tuple

### Set

    public static final EMdxDataType Set

### Level

    public static final EMdxDataType Level

### Hierarchy

    public static final EMdxDataType Hierarchy

### Missing

    public static final EMdxDataType Missing

### Flag

    public static final EMdxDataType Flag

Method Detail

### values

    public static final EMdxDataType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EMdxDataType c : EMdxDataType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EMdxDataType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD